class_name Interactive extends StaticBody3D
## Props the player can interact with.

signal activated

@export var enabled := false


func activate() -> void:
	if enabled:
		activated.emit()
	# TODO: bonk
